<?php
function houdabusiness_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Header Settings Panel
	=========================================*/
	$wp_customize->add_panel( 
		'header_section', 
		array(
			'priority'      => 2,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Header', 'houdabusiness'),
		) 
	);

	
	/*=========================================
	Houdabusiness Site Identity
	=========================================*/
	$wp_customize->add_section(
        'title_tagline',
        array(
        	'priority'      => 1,
            'title' 		=> __('Site Identity','houdabusiness'),
			'panel'  		=> 'header_section',
		)
    );


	
	/*=========================================
	Header Navigation
	=========================================*/	
	$wp_customize->add_section(
        'hdr_navigation',
        array(
        	'priority'      => 3,
            'title' 		=> __('Header Navigation','houdabusiness'),
			'panel'  		=> 'header_section',
		)
    );

    // Cart
	$wp_customize->add_setting(
		'hdr_nav_cart'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'houdabusiness_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'hdr_nav_cart',
		array(
			'type' => 'hidden',
			'label' => __('Cart','houdabusiness'),
			'section' => 'hdr_navigation',
			'priority' => 2,
		)
	);

	// hide/show
	$wp_customize->add_setting( 
		'hide_show_cart' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'houdabusiness_sanitize_checkbox',
		) 
	);
	
	$wp_customize->add_control(
	'hide_show_cart', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'houdabusiness' ),
			'section'     => 'hdr_navigation',
			'type'        => 'checkbox',
			'priority' => 2,
		) 
	);
	
	// Header Search
	$wp_customize->add_setting(
		'hdr_nav_search_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'houdabusiness_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'hdr_nav_search_head',
		array(
			'type' => 'hidden',
			'label' => __('Search','houdabusiness'),
			'section' => 'hdr_navigation',
			'priority'  => 3,
		)
	);	
	
	// hide/show
	$wp_customize->add_setting( 
		'hs_nav_search' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'houdabusiness_sanitize_checkbox',
		) 
	);
	
	$wp_customize->add_control(
	'hs_nav_search', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'houdabusiness' ),
			'section'     => 'hdr_navigation',
			'type'        => 'checkbox',
			'priority' => 3,
		) 
	);
	
	
	// Header Toggle
	$wp_customize->add_setting(
		'hdr_nav_toggle_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'houdabusiness_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'hdr_nav_toggle_head',
		array(
			'type' => 'hidden',
			'label' => __('Toggle','houdabusiness'),
			'section' => 'hdr_navigation',
			'priority'  => 6,
		)
	);	
	
	// hide/show
	$wp_customize->add_setting( 
		'hs_nav_toggle' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'houdabusiness_sanitize_checkbox',
		) 
	);
	
	$wp_customize->add_control(
	'hs_nav_toggle', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'houdabusiness' ),
			'section'     => 'hdr_navigation',
			'type'        => 'checkbox',
			'priority' => 7,
		) 
	);
	
	// Title // 
	$wp_customize->add_setting(
    	'houdabusiness_hdr_toggle_ttl',
    	array(
			'sanitize_callback' => 'houdabusiness_sanitize_html',
			'transport'         => $selective_refresh,
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'houdabusiness_hdr_toggle_ttl',
		array(
		    'label'   		=> __('Title','houdabusiness'),
		    'section' 		=> 'hdr_navigation',
			'type'		 =>	'text',
			'priority' => 8,
		)  
	);	
	
	
	// content // 
	$wp_customize->add_setting(
    	'houdabusiness_hdr_toggle_content',
    	array(
			'sanitize_callback' => 'houdabusiness_sanitize_html',
			'transport'         => $selective_refresh,
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'houdabusiness_hdr_toggle_content',
		array(
		    'label'   		=> __('Title','houdabusiness'),
		    'section' 		=> 'hdr_navigation',
			'type'		 =>	'textarea',
			'priority' => 8,
		)  
	);	
	
	
	/*=========================================
	Sticky Header
	=========================================*/	
	$wp_customize->add_section(
        'sticky_header_set',
        array(
        	'priority'      => 4,
            'title' 		=> __('Sticky Header','houdabusiness'),
			'panel'  		=> 'header_section',
		)
    );
	
	// Heading
	$wp_customize->add_setting(
		'sticky_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'houdabusiness_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'sticky_head',
		array(
			'type' => 'hidden',
			'label' => __('Sticky Header','houdabusiness'),
			'section' => 'sticky_header_set',
		)
	);
	$wp_customize->add_setting( 
		'hide_show_sticky' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'houdabusiness_sanitize_checkbox',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hide_show_sticky', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'houdabusiness' ),
			'section'     => 'sticky_header_set',
			'type'        => 'checkbox'
		) 
	);		
	

	/*=========================================
	Houdabusiness Top header
	=========================================*/
	$wp_customize->add_section(
        'top_header',
        array(
        	'priority'      => 5,
            'title' 		=> __('Top Header','houdabusiness'),
			'panel'  		=> 'header_section',
		)
    );	



 //    // Field 1
	// $wp_customize->add_setting(
	// 	'hdr_nav_field1'
	// 		,array(
	// 		'capability'     	=> 'edit_theme_options',
	// 		'sanitize_callback' => 'houdabusiness_sanitize_text',
	// 	)
	// );

	// $wp_customize->add_control(
	// 'hdr_nav_field1',
	// 	array(
	// 		'type' => 'hidden',
	// 		'label' => __('Field 1','houdabusiness'),
	// 		'section' => 'top_header',
	// 		'priority' => 1,
	// 	)
	// );


	
	
	// topheader txt
	$topheadertxt = esc_html__('You Have problems, we have the solution', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader',
    	array(
			'default' => $topheadertxt,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'topheader',
		array(
		    'label'   		=> __('Title','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		



	// // Field 1
	// $wp_customize->add_setting(
	// 	'hdr_nav_field2'
	// 		,array(
	// 		'capability'     	=> 'edit_theme_options',
	// 		'sanitize_callback' => 'houdabusiness_sanitize_text',
	// 	)
	// );

	// $wp_customize->add_control(
	// 'hdr_nav_field2',
	// 	array(
	// 		'type' => 'hidden',
	// 		'label' => __('Field 2','houdabusiness'),
	// 		'section' => 'top_header',
	// 		'priority' => 3,
	// 	)
	// );



	
	// topheader Phone Number
	$topheaderphn = esc_html__('264 654 9465', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_phn',
    	array(
			'default' => $topheaderphn,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'topheader_phn',
		array(
		    'label'   		=> __('Phone Number','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader phone number icon
	$topheaderphnicon = esc_html__('fa fa-facebook', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_phnicon',
    	array(
			'default' => $topheaderphnicon,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'topheader_phnicon',
		array(
		    'label'   		=> __('Phone Number Icon','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader Phone Number bottom txt
	$topheaderphnbtmtxt = esc_html__('request on call back', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_phnbtmtxt',
    	array(
			'default' => $topheaderphnbtmtxt,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'topheader_phnbtmtxt',
		array(
		    'label'   		=> __('Phone Number Bottom Text','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		



	// topheader Email
	$topheaderphn = esc_html__('Write Us', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_email',
    	array(
			'default' => $topheaderphn,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'topheader_email',
		array(
		    'label'   		=> __('Email','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader mail icon
	$topheadermailicon = esc_html__('fa fa-facebook', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_mailicon',
    	array(
			'default' => $topheadermailicon,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 8,
		)
	);	

	$wp_customize->add_control( 
		'topheader_mailicon',
		array(
		    'label'   		=> __('Mail Icon','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader Mail bottom txt
	$topheadermailbtmtxt = esc_html__('info@gmail.com', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_mailbtmtxt',
    	array(
			'default' => $topheadermailbtmtxt,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 9,
		)
	);	

	$wp_customize->add_control( 
		'topheader_mailbtmtxt',
		array(
		    'label'   		=> __('Mail Bottom Text','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		






	// topheader icon 1
	$topheadericon1 = esc_html__('fa fa-facebook', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_icon1',
    	array(
			'default' => $topheadericon1,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 10,
		)
	);	

	$wp_customize->add_control( 
		'topheader_icon1',
		array(
		    'label'   		=> __('Icon 1','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader icon 2
	$topheadericon2 = esc_html__('fa fa-instagram', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_icon2',
    	array(
			'default' => $topheadericon2,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 11,
		)
	);	

	$wp_customize->add_control( 
		'topheader_icon2',
		array(
		    'label'   		=> __('Icon 2','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader icon 3
	$topheadericon3 = esc_html__('fa fa-twitter', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_icon3',
    	array(
			'default' => $topheadericon3,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 12,
		)
	);	

	$wp_customize->add_control( 
		'topheader_icon3',
		array(
		    'label'   		=> __('Icon 3','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader icon 4
	$topheadericon4 = esc_html__('fa fa-google-plus', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_icon4',
    	array(
			'default' => $topheadericon4,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 13,
		)
	);	

	$wp_customize->add_control( 
		'topheader_icon4',
		array(
		    'label'   		=> __('Icon 4','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		


}
add_action( 'customize_register', 'houdabusiness_header_settings' );





